Skip to main content
GET
/
v1
/
payment_intents
/
{id}
Get Payment Intent
curl --request GET \
  --url https://api.withflex.com/v1/payment_intents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "payment_intent": {
    "payment_intent_id": "obj_01EXAMPLE00000000000000000",
    "amount": 0,
    "amount_capturable": 0,
    "amount_received": 0,
    "application_fee_amount": 0,
    "customer": "string",
    "transfer_data": {
      "amount": 0,
      "destination": "string"
    },
    "status": "canceled",
    "latest_charge": "string",
    "created_at": "2024-01-01T00:00:00Z",
    "invoice": "string",
    "capture_method": "automatic",
    "client_secret": "string",
    "metadata": {},
    "payment_method": "string",
    "test_mode": false,
    "transfer_group": "string",
    "payment_card_type": "primary",
    "letter_fee_amount": 0,
    "transaction_fee": 0,
    "last_payment_error": {
      "type": "string",
      "code": "string",
      "decline_code": "string",
      "message": "string",
      "payment_method": "string"
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Query Parameters

expand
string
default:""

Comma-separated list of related objects to expand in the response.

Example:

""

expand_customer
boolean | null

If true, expands the customer object in the response.

Example:

false

interval
integer<uint32> | null

Filter by time interval in days (e.g., 30 for last 30 days).

Required range: x >= 0
Example:

"month"

customer
string | null

Filter by customer ID.

Example:

"obj_01EXAMPLE00000000000000000"

checkout_session
string | null

Filter by checkout session ID.

Example:

"obj_01EXAMPLE00000000000000000"

starting_after
string | null

A cursor for use in pagination. starting_after is a payment intent ID that defines your place in the list. For instance, if you make a list request and receive 20 payment intents, ending with fpi_xyz, your subsequent call can include starting_after=fpi_xyz to fetch the next page.

Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null

A cursor for use in pagination. ending_before is a payment intent ID that defines your place in the list. For instance, if you make a list request and receive 20 payment intents, starting with fpi_abc, your subsequent call can include ending_before=fpi_abc to fetch the previous page.

Example:

"obj_01EXAMPLE00000000000000000"

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

0

Response

Success

payment_intent
object
required
Example:
{
"payment_intent_id": "obj_01EXAMPLE00000000000000000",
"amount": 0,
"amount_capturable": 0,
"amount_received": 0,
"application_fee_amount": 0,
"customer": "string",
"transfer_data": { "amount": 0, "destination": "string" },
"status": "canceled",
"latest_charge": "string",
"created_at": "2024-01-01T00:00:00Z",
"invoice": "string",
"capture_method": "automatic",
"client_secret": "string",
"metadata": {},
"payment_method": "string",
"test_mode": false,
"transfer_group": "string",
"payment_card_type": "primary",
"letter_fee_amount": 0,
"transaction_fee": 0,
"last_payment_error": {
"type": "string",
"code": "string",
"decline_code": "string",
"message": "string",
"payment_method": "string"
}
}